package dev.fitko.fitconnect.client.cmd.batch;

import dev.fitko.fitconnect.api.exceptions.BatchImportException;

import java.io.IOException;
import java.util.List;

public interface BatchImporter {

    /**
     * Read data from path to list of type T
     * @param path to the file that should be imported
     *
     * @return List of mapped records
     *
     * @throws IOException if the path could not be read or the import failed
     */
    <T> List<T> readRecords(String path) throws BatchImportException;
}
