package dev.fitko.fitconnect.client.cmd.util;

import com.beust.jcommander.ParameterException;
import org.junit.jupiter.api.BeforeEach;
import org.junit.jupiter.api.Test;

import java.util.UUID;

import static org.junit.jupiter.api.Assertions.assertThrows;

class UUIDValidatorTest {

    UUIDValidator underTest;

    @BeforeEach
    void setUp() {
        underTest = new UUIDValidator();
    }

    @Test
    void testValidUUID() {
        // expected to not throw or return anything if the UUID is valid
        underTest.validate("someName", UUID.randomUUID().toString());
    }

    @Test
    void testInvalidUUID() {
        assertThrows(ParameterException.class, () ->
                underTest.validate("someName", "INVALID-0d0a-11ed-UUID-FORMAT"));
    }
}